<!DOCTYPE html>
<html lang="en" th:replace="common/masterpage :: masterpage(~{}, ~{::page}, ~{})" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <th:block th:fragment="table">
    <table class="ui table" th:if="${not #lists.isEmpty(vacations)}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}">
      <thead id="cabecalho">
        <tr>
          <th scope="col" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DAY}}"></th>
          <th scope="col"></th>
        </tr>
      </thead>
      <tbody>
        <tr th:each="vacation : ${vacations}">
          <td th:text="${#strings.substring(vacation.day.date, 0, 11)}"></td>
          <td class="right aligned">
            <th:block th:if="${vacation.timesheet == null or (not vacation.timesheet.submitted)}">
              <i class="trash icon pointer" th:onclick="'deleteVacation(\'' + ${vacation.id} + '\');'" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
            </th:block>
          </td>
        </tr>
      </tbody>
    </table>
    <th:block sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_VACATIONS_CREATE)"
              th:replace="common/fragments/form :: actionbuttonsOnClick(icon1 = null,
                                                                        icon1text = null,
                                                                        icon1url = null,
                                                                        icon2 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_NEW},
                                                                        icon2text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NEW},
                                                                        icon2function = 'createVacation();'
                                                                        )" />
  </th:block>
</body>
</html>